{% extends "web/base.html" %}

{% load i18n static %}
{% load check_permissions lookup %}


{% block extra_head %}
    <link href="{% static 'web/vendors/leaflet.1.9.2.css' %}" type="text/css" rel="stylesheet"/>
    <style type="text/css">
        #map {
            height: 600px;
        }
        .leading-tighter {
            line-height: 1.25 !important;
        }
        .vertical-scroll {
            max-height: 200px;
            overflow-y: auto;
        }
    </style>
{% endblock %}

{% block content %}

<div id="map"></div>


<div class="content">
    <ul class="twocols">
        {% for pk, names in cities_pk_names %}
        <li>
            <a href="{% url 'web:city-detail' pk %}">{{ names }}</a>
        </li>
        {% endfor %}
    </ul>
    {% if user|can_add_mlgr %}
        <a
            class="text-light u-center"
            href="{% url 'web:city-create-wikidata' %}"
            >
            <span class="tag tag--halflarge tag--hover tag--info bg-gray-700">
                <svg class="svgicon svgicon-plus">
                    <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-plus"></use>
                </svg>
                {% translate 'Add from Wikidata' %}
            </span>
        </a>
        <!-- We only focus on cities created through Wikidata for the moment.
        <a
            class="text-light u-center"
            href="{% url 'web:city-create-names' %}"
            >
            <span class="tag tag--halflarge tag--hover tag--info bg-gray-700">
                <svg class="svgicon svgicon-plus">
                    <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-plus"></use>
                </svg>
                {% translate 'Add' %}
            </span>
        </a>
        -->
    {% endif %}

</div>
{% endblock %}

{% block extra_body %}
    <script src="{% static 'web/vendors/leaflet.1.9.2.js' %}"></script>
    <script type="text/javascript">
        L.Icon.Default.imagePath = "{% static "web/vendors/images/" %}"
        const map = L.map(document.querySelector('div#map')).setView(
            // Center of the mediteranean sea.
            [35.574803523891944, 22.498535143406244],
            5
        )
        L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 19,
            attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
            }).addTo(map)

    {% for city in cities %}
        L.marker([{{ city.latitude|ensure_point }}, {{ city.longitude|ensure_point }}])
            .addTo(map)
            .bindPopup(`
                <p class="m-0 leading-tighter">
                    <strong>
                        <a href="{% url 'web:city-detail' city.pk %}"
                            >{{ cities_pk_names|tuples_to_dict|lookup:city.pk }}</a>
                    </strong>
                </p>
                <div class="vertical-scroll px-2">
                {% with passages=city.passages.all %}
                    {% if passages %}
                        <p class="m-0">{% translate 'Epigrams:' %}</p>
                        <ul class="m-0">
                        {% for passage in passages %}
                            <li>
                                <a href="{{ passage.get_absolute_url }}"
                                    >{{ passage }}</a>
                            </li>
                        {% endfor %}
                        </ul>
                    {% endif %}
                {% endwith %}
                {% with authors_born_at=city.authors_born_at.all %}
                    {% if authors_born_at %}
                        <p class="m-0">{% translate 'Birth place of' %}</p>
                        <ul class="m-0">
                        {% for author in authors_born_at %}
                            <li>
                                <a href="{{ author.get_absolute_url }}"
                                    >{{ author }}</a>
                            </li>
                        {% endfor %}
                        </ul>
                    {% endif %}
                {% endwith %}
                {% with authors_died_at=city.authors_died_at.all %}
                    {% if authors_died_at %}
                        <p class="m-0">{% translate 'Death place of' %}</p>
                        <ul class="m-0">
                        {% for author in authors_died_at %}
                            <li>
                                <a href="{{ author.get_absolute_url }}"
                                    >{{ author }}</a>
                            </li>
                        {% endfor %}
                        </ul>
                    {% endif %}
                {% endwith %}
                </div>
            `)
    {% endfor %}
    </script>
{% endblock %}
